# Marix, Who Knows The Merrows

**Entity Type:** Specialist

## Properties

| Field | Value |
|-------|-------|
| Rarity | Epic |
| Category | Research |
| Slot Type | Specialist |
| Scope | Mirrors Chain in range |

## Effects

| Effect Type | Target | Value | Scope |
|------------|--------|-------|-------|
| Productivity | Mirrors Chain | +35% | Radius-based |

## Improves Buildings

- Shell Gatherer (Albion)
- Narcissium (Albion)
- Silver Mine (Albion)
- Silver Forge (Albion)

## Source

Corvinus

## Stack Rules

Unknown

## Usage Patterns

Place in a Governor Villa or Officium covering Mirrors production chain buildings in Albion to boost their productivity by +35%. The effect applies to all buildings in the Mirrors production chain within range.

## Common Pitfalls

Only affects Mirrors chain buildings; ensure the specialist is placed in a building whose area of influence covers the target production facilities.
